import request from '/@/utils/request';

export function listApi() {
    return {
        //采购订单分页列表
        getPageList: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/GetPageList',
                method: 'post',
                data,
            });
        },
        //获取明细列表
        getPurchaseOrderItemList: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/GetPurchaseOrderItemList',
                method: 'post',
                data,
            });
        },
        //批量修改最新交期
        batchSetNewChengNuoJiaoQi: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/BatchSetNewChengNuoJiaoQi',
                method: 'post',
                data,
            });
        },
        //批量修改承诺交期
        batchSetChengNuoJiaoQi: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/BatchSetChengNuoJiaoQi',
                method: 'post',
                data,
            });
        },
        //生成发货通知单
        batchAddInvoiceOrder: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/BatchAddInvoiceOrder',
                method: 'post',
                data,
            });
        },


        //发货通知单分页列表
        invoiceOrderGetPageList: (data: object) => {
            return request({
                url: '/api/Admin/InvoiceOrder/GetPageList',
                method: 'post',
                data,
            });
        },
    };
}
